Skip to main content
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
shared-datasets
Link a shared dataset to this project
curl --request POST \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/shared-datasets \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "datasetId": "62313ce67a0af0281c01a6a5"
}
'
{
  "dataset": {
    "projectId": "62313ce67a0af0281c01a6a5",
    "sharedDatasetIds": [
      "<string>"
    ]
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

Body

application/json

Dataset ID

datasetId
string
required

ID of shared dataset to link with this project

Example:

"62313ce67a0af0281c01a6a5"

Response

Success

dataset
object
required

An object describing the shared datasets imported into a project

metadata
object
required